viGroupManagerSlotConfig = {};

function viGroupManagerSlotConfig:defaultValues()
	viGroupManagerSlot.values = {updateTimer=30, msec=false,viewVehicleIcon=2,viewGroupLine=true,viewGroupTyp=false};	
end;

function viGroupManagerSlotConfig.loadXml(Xml, xmlNameTag, directory, typ) --loadConfig Callback	
	if typ ~= "profilSettings" then return;end;	
	if viGroupManagerSlot.values == nil then viGroupManagerSlotConfig:defaultValues();end;
	local groupNameTag = (xmlNameTag.. ".module.viGroupManagerSlot(%d)"):format(0);
	if getXMLBool(Xml, groupNameTag.. "#mSecTimer") ~= nil then
		viGroupManagerSlot.values.msec = getXMLBool(Xml, groupNameTag.. "#mSecTimer");
	else
		return; --first config not found
	end;
	if getXMLInt(Xml, groupNameTag.. "#updateTimer") ~= nil then
		viGroupManagerSlot.values.updateTimer = getXMLInt(Xml, groupNameTag.. "#updateTimer");
	end;
	if getXMLInt(Xml, groupNameTag.. "#viewVehicleIcon") ~= nil then
		viGroupManagerSlot.values.viewVehicleIcon = getXMLInt(Xml, groupNameTag.. "#viewVehicleIcon");
	end;
	if getXMLBool(Xml, groupNameTag.. "#viewGroupLine") ~= nil then
		viGroupManagerSlot.values.viewGroupLine = getXMLBool(Xml, groupNameTag.. "#viewGroupLine");
	end;
	if getXMLBool(Xml, groupNameTag.. "#viewGroupTyp") ~= nil then
		viGroupManagerSlot.values.viewGroupTyp = getXMLBool(Xml, groupNameTag.. "#viewGroupTyp");
	end;
end;

function viGroupManagerSlotConfig.saveXml(Xml, xmlNameTag, directory, typ) --saveConfig Callback
	if typ ~= "profilSettings" then return;end;	
	if viGroupManagerSlot.values == nil then viGroupManagerSlotConfig:defaultValues();end;
	----------------------------------------------------------------------------------------------
	local groupNameTag = (xmlNameTag.. ".module.viGroupManagerSlot(%d)"):format(0);
	setXMLInt(Xml, groupNameTag.. "#updateTimer", viGroupManagerSlot.values.updateTimer);
	setXMLBool(Xml, groupNameTag.. "#mSecTimer", viGroupManagerSlot.values.msec);
	setXMLInt(Xml, groupNameTag.. "#viewVehicleIcon", viGroupManagerSlot.values.viewVehicleIcon);
	setXMLBool(Xml, groupNameTag.. "#viewGroupLine", viGroupManagerSlot.values.viewGroupLine);
	setXMLBool(Xml, groupNameTag.. "#viewGroupTyp", viGroupManagerSlot.values.viewGroupTyp);
	----------------------------------------------------------------------------------------------	
end;

function viGroupManagerSlotConfig:generateCmd()
	g_currentMission.multiOverlayV4.cmdFunction.generateCmd( { 
			modName = "VehicleInspector";
			cmdName = "output_viGroupManagerSlot_";
			groupName = "VehicleInspector";			
			displayName = "Vehicle Groups (GroupManager)";
			infoTxt = "Click Left/Right/Middle for Interaction.";
			mouseClickAccepts = {true,true,true};
			ownTable = {};
			typ = {"output_"};			
			actionCallback = viGroupManagerSlotOutput.giveOutputTable;			
		}
	);	
end;
if g_currentMission.multiOverlayV4 ~= nil then
	g_currentMission.multiOverlayV4.moduleFunction.addCallbackModul( {modName="vehicleInspector", modulCallbackName="loadConfig", callback=viGroupManagerSlotConfig.loadXml } );
	g_currentMission.multiOverlayV4.moduleFunction.addCallbackModul( {modName="vehicleInspector", modulCallbackName="saveConfig", callback=viGroupManagerSlotConfig.saveXml } );
end;
